/**
 * Created by IntelliJ IDEA.
 * User: o_220
 * Date: 07.10.2009
 * Time: 19:03:13
 * To change this template use File | Settings | File Templates.
 */  import java.util.*;
    import java.io.*;
public class E {
    public static void main(String[] args) throws Exception{
        StreamTokenizer s= new StreamTokenizer(new BufferedReader(new FileReader(new File("sort.in"))));
        PrintWriter p= new PrintWriter (new File("sort.out"));
        s.nextToken();
         int n= (int) s.nval;
         int [] a= new int [n];
         for (int i=0; i<n; i++){
             s.nextToken();
             a[i]= (int) s.nval;
         }
        int b;
         for (int i=0; i<n-1; i++){
             for (int j=i+1; j<n; j++){
                 if (a[i]>a[j]) {
                     b=a[i];
                     a[i]=a[j];
                     a[j]=b;
                 }
             }
             p.print(a[i]+" ");
         }
        p.print(a[n-1]);
       // for (int i=0; i<n; i++) {
               //   p.print(a[i]+" ");
        p.close();
              }


    }

